# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  config,
  lib,
  pkgs,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot.initrd.availableKernelModules = ["xhci_pci" "ehci_pci" "ahci" "usb_storage" "sd_mod" "rtsx_pci_sdmmc"];
  boot.initrd.kernelModules = [];
  boot.kernelModules = ["kvm-intel"];
  boot.extraModulePackages = [];

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/ae774285-60dc-4b08-ab26-8208e8f4e81e";
    fsType = "btrfs";
    options = ["subvol=root" "compress=lzo" "noatime"];
  };

  boot.initrd.luks.devices."enc".device = "/dev/disk/by-uuid/60aa7671-bfee-451b-b871-ac7c5a4a9f3a";

  fileSystems."/home" = {
    device = "/dev/disk/by-uuid/ae774285-60dc-4b08-ab26-8208e8f4e81e";
    fsType = "btrfs";
    options = ["subvol=home" "compress=lzo" "noatime"];
  };

  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/ae774285-60dc-4b08-ab26-8208e8f4e81e";
    fsType = "btrfs";
    options = ["subvol=nix" "compress=lzo" "noatime"];
  };

  fileSystems."/persist" = {
    device = "/dev/disk/by-uuid/ae774285-60dc-4b08-ab26-8208e8f4e81e";
    fsType = "btrfs";
    options = ["subvol=persist" "compress=lzo" "noatime"];
  };

  fileSystems."/var/log" = {
    device = "/dev/disk/by-uuid/ae774285-60dc-4b08-ab26-8208e8f4e81e";
    fsType = "btrfs";
    options = ["subvol=log" "compress=lzo" "noatime"];
    neededForBoot = true;
  };

  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/4B94-6E7B";
    fsType = "vfat";
  };

  swapDevices = [
    {device = "/dev/disk/by-uuid/7b44ab02-84ff-4ffd-be26-58247cf5a982";}
  ];

  hardware.cpu.intel.updateMicrocode = true;
  nix.settings.max-jobs = lib.mkDefault 8;
}
